info.bioinfweb.jphyloio.formats.xml

## Class XMLWriterStreamDataProvider<R extends AbstractXMLEventWriter<? extends XMLWriterStreamDataProvider<R>>>

- java.lang.Object
- - info.bioinfweb.jphyloio.WriterStreamDataProvider<R>
  - - info.bioinfweb.jphyloio.formats.xml.XMLWriterStreamDataProvider<R>

- Direct Known Subclasses:
    NeXMLWriterStreamDataProvider, PhyloXMLWriterStreamDataProvider

      public class XMLWriterStreamDataProvider<R extends AbstractXMLEventWriter<? extends XMLWriterStreamDataProvider<R>>>
      extends WriterStreamDataProvider<R>

  Stores data that shall be shared among different implementations of `AbstractXMLDataReceiver` and the according writer that uses them.
  Author:
    Sarah Wiechers

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLWriterStreamDataProvider(R eventWriter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.StringBuffer` | `getCommentContent()`
    `java.util.Set<java.lang.String>` | `getNamespacePrefixes()`
    `javax.xml.stream.XMLStreamWriter` | `getWriter()`
    `boolean` | `isLiteralContentContinued()`
    `void` | `setLiteralContentIsContinued(boolean literalContentIsContinued)`
    `void` | `setNamespacePrefix(java.lang.String prefix, java.lang.String namespace)`

    - ### Methods inherited from class info.bioinfweb.jphyloio.WriterStreamDataProvider

      `getEventWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLWriterStreamDataProvider

          public XMLWriterStreamDataProvider(R eventWriter)

  - ### Method Detail

    - #### getWriter

          public javax.xml.stream.XMLStreamWriter getWriter()

    - #### getNamespacePrefixes

          public java.util.Set<java.lang.String> getNamespacePrefixes()

    - #### getCommentContent

          public java.lang.StringBuffer getCommentContent()

    - #### isLiteralContentContinued

          public boolean isLiteralContentContinued()

    - #### setLiteralContentIsContinued

          public void setLiteralContentIsContinued(boolean literalContentIsContinued)

    - #### setNamespacePrefix

          public void setNamespacePrefix(java.lang.String prefix,
                                         java.lang.String namespace)
                                  throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`